# ZWaveJSController Change Log

## 23063

* Command class `Sound Switch` now maps to `chime` capability (Aeotec Siren 6, others)
* Support multi-step action implementations (e.g. `chime.play` needs to set two values sequentially (volume then sound).

## 23011

* Specific support for iblinds V3 (mfg 647);

## 23010

* Fix a possible runtime error during node configuration if the target node isn't yet fully ready.

## 22323

**NOTE:** This version requires Reactor build 22314 or higher.

* Allow `zwave_device.set_config` parameter to be either string (property name) or number (property/configuration parameter ID). This should improve usability for this action.
* Store property ID in metadata for `x_zwave_values` attributes.
* Improve "first guess" device support for many devices when Z-Wave JS is still running interviews and Reactor comes up (i.e. when data from Z-Wave JS about devices is incomplete).
* Improve device support for multiple Fibaro, Aeotec, Everspring devices.
* Improve manufacturer/device support for Remotec, Poly-Control, Danalock, Zipato, Nortek, NEO, Minoston (EVA Logik).

## 22305

* Package file update (cosmetic only).

## 22302

* Info logging of actions (like other Controllers)

## 22283

**NOTE:** This version requires Reactor version 22280 or higher.

* Code cleanup and sync with Controller base class updates.

## 22256

* Send notice upon discovery of new node (like other Reactor controllers).
